UX 2.0 Configuration

The following sections describe the API changes from version 26.1 to 26.2.

Table of Contents

Breaking changes (1)

New (0)

Deprecated (0)

Updates (12)

Breaking changes

The following are changes to the API that may break an application or integration.

[Configuration - Configuration Group]

  • POST /v1/config-group/{configGroupId}/device/deploy
    • API Operation Summary: deploy config group to devices


      Note: In a multitenant vManage system, this API is only available in the Provider view.
    • ⛔️ Breaking Change - the request property 'devices' became required

New

The following operations are introduced with this release:

Deprecated

The following operations and properties will be removed in future releases. Therefore, it is not recommended to use these resources.

Updates

[Configuration - Configuration Group]

  • GET /v1/config-group
    • API Operation Summary: Get a Configuration Group by Solution
    • added the new 'cellular-controller' enum value to the '/items/topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'cellular-profile' enum value to the '/items/topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'routing/ospfv3/ipv4' enum value to the '/items/topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'routing/ospfv3/ipv6' enum value to the '/items/topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'switchport' enum value to the '/items/topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'wan/vpn/interface/ethpppoe' enum value to the '/items/topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the optional property '/items/deviceVersion' to the response with the '200' status
    • added the optional property '/items/lastDeployedOn' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesFailed' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesInProgress' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesNotProvisioned' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesSuccess' to the response with the '200' status
  • POST /v1/config-group
    • API Operation Summary: Create a new Configuration Group
    • added the new optional request property 'deviceVersion'
    • added the new 'cellular-controller' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'cellular-profile' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'routing/ospfv3/ipv4' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'routing/ospfv3/ipv6' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'switchport' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'wan/vpn/interface/ethpppoe' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
  • GET /v1/config-group/{configGroupId}
    • API Operation Summary: Get a Configuration Group by ID
    • added the new 'cellular-controller' enum value to the 'topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'cellular-profile' enum value to the 'topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'routing/ospfv3/ipv4' enum value to the 'topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'routing/ospfv3/ipv6' enum value to the 'topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'switchport' enum value to the 'topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the new 'wan/vpn/interface/ethpppoe' enum value to the 'topology/devices/items/unsupportedFeatures/items/parcelType' response property for the response status '200'
    • added the optional property 'deviceVersion' to the response with the '200' status
    • added the optional property 'lastDeployedOn' to the response with the '200' status
    • added the optional property 'numberOfDevicesFailed' to the response with the '200' status
    • added the optional property 'numberOfDevicesInProgress' to the response with the '200' status
    • added the optional property 'numberOfDevicesNotProvisioned' to the response with the '200' status
    • added the optional property 'numberOfDevicesSuccess' to the response with the '200' status
  • PUT /v1/config-group/{configGroupId}
    • API Operation Summary: Edit a Configuration Group
    • added the new optional request property 'deviceVersion'
    • added the new 'cellular-controller' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'cellular-profile' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'routing/ospfv3/ipv4' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'routing/ospfv3/ipv6' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'switchport' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
    • added the new 'wan/vpn/interface/ethpppoe' enum value to the request property 'topology/devices/items/unsupportedFeatures/items/parcelType'
  • POST /v1/config-group/{configGroupId}/device/deploy
    • API Operation Summary: deploy config group to devices


      Note: In a multitenant vManage system, this API is only available in the Provider view.
    • ⛔️ Breaking Change -the request property 'devices' became required
    • added the new optional request property 'deployAssociatedGroups'
  • POST /v1/config-group/{configGroupId}/device/{deviceId}/preview
    • API Operation Summary: Get a preview of the configuration for a device
    • added the new optional request property 'deployAssociatedGroups'
    • added the new optional request property 'devices'
    • added the new optional request property 'groups'
    • added the new optional request property 'solution'
    • added the optional property 'associatedGroupUnsupportedFeatureTypes' to the response with the '200' status

[Policy - Policy Group]

  • GET /v1/policy-group
    • API Operation Summary: Get a Policy Group by Solution
    • added the optional property '/items/lastDeployedOn' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesFailed' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesInProgress' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesNotProvisioned' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesSuccess' to the response with the '200' status
  • GET /v1/policy-group/{policyGroupId}
    • API Operation Summary: Get a Policy Group by ID
    • added the optional property 'lastDeployedOn' to the response with the '200' status
    • added the optional property 'numberOfDevicesFailed' to the response with the '200' status
    • added the optional property 'numberOfDevicesInProgress' to the response with the '200' status
    • added the optional property 'numberOfDevicesNotProvisioned' to the response with the '200' status
    • added the optional property 'numberOfDevicesSuccess' to the response with the '200' status
  • POST /v1/policy-group/{policyGroupId}/device/deploy
    • API Operation Summary: deploy policy group to devices
    • added the new optional request property 'deployAssociatedGroups'
  • POST /v1/policy-group/{policyGroupId}/device/{deviceId}/preview
    • API Operation Summary: Get a preview of the configuration for a device
    • added the new optional request property 'deployAssociatedGroups'
    • added the new optional request property 'devices'
    • added the new optional request property 'solution'
    • added the optional property 'associatedGroupUnsupportedFeatureTypes' to the response with the '200' status

[Topology - Topology Group]

  • GET /v1/topology-group
    • API Operation Summary: Get a Topology Group by Solution
    • added the optional property '/items/lastDeployedOn' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesFailed' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesInProgress' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesNotProvisioned' to the response with the '200' status
    • added the optional property '/items/numberOfDevicesSuccess' to the response with the '200' status
  • GET /v1/topology-group/{topologyGroupId}
    • API Operation Summary: Get a Topology Group by ID
    • added the optional property 'lastDeployedOn' to the response with the '200' status
    • added the optional property 'numberOfDevicesFailed' to the response with the '200' status
    • added the optional property 'numberOfDevicesInProgress' to the response with the '200' status
    • added the optional property 'numberOfDevicesNotProvisioned' to the response with the '200' status
    • added the optional property 'numberOfDevicesSuccess' to the response with the '200' status